using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using Domain;

namespace Dao
{
	public interface IHostModalRecordRepository : IRepository<HostModalRecord>
    {
        IQueryable<HostModalRecord> LoadByHostID(int hostID, string modalAddress = "");

        DataTable LoadHostModalRecords(out long total, int page, int rows, string order, string sort, string roomNumber, string deviceTypes, string deviceSubtypes, string startTime, string endTime, int hotelID);

		HostModalRecord GetLastHostModalRecord(int hostId, int roomTypeModalId);

		IList<string> LoadRoomNumbers(int hotelID);

        DataTable LoadModals(string roomNumber, int hotelID);
	}
}
